Skip to navigation

Delete envelope lock

View as Markdown

Deletes the lock from the specified envelope. The user deleting the lock must be the same user who locked the envelope.

You must include the X-DocuSign-Edit header as described in EnvelopeLocks: create.

This method takes an optional query parameter that lets you specify whether changes made while the envelope was locked are kept or discarded.

Query ParameterDescription
save_changesWhen true (the default), any changes made while the lock was active are saved. When false, any changes made while the envelope was locked are discarded.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Response

Successful response.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
lockDurationInSecondsstringOptional

The number of seconds to lock the envelope for editing. This value must be greater than 0 seconds.

lockedByAppstringOptional

The human-readable name of the application that is locking the envelope or template. This value displays to the user in error messages when lock conflicts occur.

lockedByUserobjectOptional
lockedUntilDateTimestringOptional
The date and time that the lock expires.
lockTokenstringOptional
A unique identifier provided to the owner of the lock. You must use this token with subsequent calls to prove ownership of the lock.
lockTypestringOptional

The type of lock. Currently edit is the only supported type.

useScratchPadstringOptional

When true, a scratchpad is used to edit information.

Errors

400
Bad Request Error